Bug 505208 - system-config-bind Outputs Errors on Zone Creation
system-config-bind Outputs Errors on Zone Creation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 22:09 EDT by josmar52789
Modified: 2009-07-22 18:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0.13-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 18:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josmar52789 2009-06-10 22:09:58 EDT
Description of problem:

Attempt to create a new zone with system-config-bind results in a garble of command line output and an unresponsive dialog.

Version-Release number of selected component (if applicable):

Included in Fedora 11

How reproducible:

File > New > Zone, then enter zone information, click OK. Enter zone authority information in the following dialog, click OK. Nothing happens. Various errors are output to command line.

Note, system-config-bind must be run from command line to reveal the errors.
  
Actual results:

Unrecognized trusted-keys entry in named.conf:
Traceback (most recent call last):
  File "/usr/share/system-config-bind/NewZone.py", line 201, in response
    s.bind.create_zone( s.nmdcKey, s.zone.clas, s.zone.origin, s.zone.type, s.options['type'].value(), fname, s.soa, s.ns, s.options)
  File "/usr/share/system-config-bind/BIND.py", line 453, in create_zone
    s.zoneTree.load()
  File "/usr/share/system-config-bind/ZoneTree.py", line 1076, in load
    s.store.append(svr,[s.lock_pic,_('DNSSEC Trusted Keys'),'', DNSsec.TrustedKeys(s.bind)])
  File "/usr/share/system-config-bind/DNSsec.py", line 650, in __init__
    print _('Unrecognized trusted-keys entry in named.conf:'),tk[k]
TypeError: list indices must be integers, not str

Expected results:

Zone should be created without errors.
Comment 1 Fedora Update System 2009-06-11 08:37:02 EDT
system-config-bind-4.0.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-bind-4.0.13-1.fc11
Comment 2 Jaroslav Reznik 2009-06-11 08:39:23 EDT
The fix is not perfect - DNSSec support has to be extended to work properly. 

Known issue: DNSSec items are not correctly reloaded after new zone creation (but stay untouched).
Comment 3 Fedora Update System 2009-06-15 21:58:47 EDT
system-config-bind-4.0.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6257
Comment 4 Fedora Update System 2009-07-22 18:05:16 EDT
system-config-bind-4.0.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.